## python-sparse 0.2.0

=== requirements.txt ===
numpy
scipy >= 0.19
six

## python-sparse 0.1.1

=== debian/changelog ===
python-sparse (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1
  * Ensure tests are run in isolation
  * Bump standards version to 4.0.1, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 07 Aug 2017 09:39:55 +0100

python-sparse (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #862142)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 08 May 2017 23:31:10 +0100

=== debian/control ===
Source: python-sparse
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-numpy <!nocheck>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-sparse.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sparse.git
Homepage: https://github.com/mrocklin/sparse
X-Python3-Version: >= 3.2

Package: python3-sparse
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: multidimensional sparse arrays for Python
 This package implements sparse multidimensional arrays on top of NumPy
 and scipy.sparse. It generalizes the scipy.sparse.coo_matrix layout but
 extends beyond just rows and columns to an arbitrary number of
 dimensions. The original motivation is for machine learning algorithms,
 but it is intended for somewhat general use.
 .
 It supports:
 .
   - NumPy ufuncs (where zeros are preserved)
   - Arithmetic with scalars (where zeros are preserved)
   - Reductions (sum, max)
   - Reshape
   - Transpose
   - Tensordot
   - Slicing with integers, lists, and slices (with no step value)
   - Concatenation and stacking
   - Addition with other sparse arrays of the same shape
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = sparse
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
else
export PYBUILD_BEFORE_TEST = cp -r {dir}/sparse/tests {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/tests
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r sparse/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-pytest,
         python3-sparse

## python-sparse 0.2.0

=== debian/changelog ===
python-sparse (0.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ghislain Antony Vaillant ]
  * New upstream version 0.2.0
  * Drop superfluous nocheck guards
  * Fixup whitespacing in rules file
  * Add versioned dependency to scipy
  * Add new install dependency on six
  * Add new test dependency on packaging
  * Move extend-diff-ignore to d/s/options
  * Add patch disabling the upstream pytest config
    - New patch: No-pytest-config.patch
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Update the copyright years

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 22 Feb 2018 09:22:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
                python3-numpy <!nocheck>,
+               python3-packaging <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-scipy <!nocheck>,
+               python3-scipy (>= 0.19) <!nocheck>,
+               python3-six <!nocheck>,
                python3-setuptools
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-sparse.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sparse.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sparse
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-sparse.git
 Homepage: https://github.com/mrocklin/sparse
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sparse

export PYBUILD_BEFORE_TEST=cp -r {dir}/sparse/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,6 @@
  ; $py -m pytest -v
  ; done
 Depends: python3-all,
+         python3-packaging,
          python3-pytest,
          python3-sparse

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sparse-$1\.tar\.gz/ \
https://github.com/mrocklin/sparse/tags .*/v?(\d\S+)\.tar\.gz

## python-sparse 0.11.2

=== requirements.txt ===
numpy
scipy>=0.19
numba>=0.49

=== debian/changelog ===
python-sparse (0.11.2-3) unstable; urgency=medium

  * Add use-correct-pointer-to-coo.patch from upstreams fix for 32-bit
    https://github.com/pydata/sparse/pull/421 (Closes: #981615)
    - Remove skip-test-repack-on-32bit.patch since there is a real fix

 -- Diane Trout <diane@ghic.org>  Tue, 02 Feb 2021 09:19:40 -0800

python-sparse (0.11.2-2) unstable; urgency=medium

  * Add skip-test-repack-on-32bit.patch.
    One unit test fails on 32 bit systems it looks like due to a
    type size error. I disabled it so the rest of the 64-bit architectures
    would migrate.
  * Add myself to uploaders

 -- Diane Trout <diane@ghic.org>  Mon, 01 Feb 2021 20:03:00 -0800

python-sparse (0.11.2-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Diane Trout ]
  * Update upstream to https://github.com/pydata/sparse as recommended
    by dask developers. https://github.com/dask/dask/issues/7078
  * Add Rules-Requires-Root: no
  * Update upstream maintainer to what's listed on pypi
  * Update Standards version to 4.5.1. No changes required.
  * New upstream release. (Closes: #980317)
  * Add dask and pytest-cov as test dependencies
  * add numba as build dependency
  * Update No-pytest-config patch. The file containing the options moved,
    and upstream's options led to test result files being in the package.
  * Update to debhelper-compat = 13
  * Update upstream urls in debian/upstream/metadata
  * Add issue tracker url to debian/upstream/metadata
  * Indicate No-pytest-config does not need to be forwarded

 -- Diane Trout <diane@ghic.org>  Thu, 21 Jan 2021 16:24:51 -0800

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: python-sparse
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>, Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
+	       python3-dask <!nocheck>,
+	       python3-numba,
                python3-numpy <!nocheck>,
                python3-packaging <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-scipy (>= 0.19) <!nocheck>,
                python3-six <!nocheck>,
                python3-setuptools
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sparse
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-sparse.git
-Homepage: https://github.com/mrocklin/sparse
-X-Python3-Version: >= 3.2
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sparse
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-sparse.git
+Homepage: https://github.com/pydata/sparse
+Rules-Requires-Root: no
 
 Package: python3-sparse
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  ; $py -m pytest -v
  ; done
 Depends: python3-all,
+         python3-dask,
          python3-packaging,
          python3-pytest,
          python3-sparse

## python-sparse 0.12.0

=== requirements.txt ===
numpy>=1.17
scipy>=0.19
numba>=0.49

=== debian/changelog ===
python-sparse (0.12.0-1ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commit fixing out-of-bounds
    array access with numba >= 0.54

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 09 Apr 2022 08:26:31 +0000

python-sparse (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Remove unused patch skip-test-repack-on-32bit.patch
  * Remove obsoleted patch use-correct-pointer-to-coo.patch
    - resolved upstream
  * Add new skip-doc-test-on-32bit.patch based on upstream

 -- Diane Trout <diane@ghic.org>  Thu, 19 Aug 2021 22:10:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-sparse
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>, Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional

## python-sparse 0.13.0

=== debian/changelog ===
python-sparse (0.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Diane Trout ]
  * Remove unneeded dpkg-dev build dependency
  * Remove skip-doc-test-on-32bit.patch, applied upstream

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 Aug 2021 02:40:47 -0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: python-sparse
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>, Diane Trout <diane@ghic.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+           Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
-	       python3-dask <!nocheck>,
-	       python3-numba,
+               python3-dask <!nocheck>,
+               python3-numba,
                python3-numpy <!nocheck>,
                python3-packaging <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-scipy (>= 0.19) <!nocheck>,
-               python3-six <!nocheck>,
-               python3-setuptools
+               python3-setuptools,
+               python3-six <!nocheck>
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sparse.git
@@ -25,8 +24,7 @@
 
 Package: python3-sparse
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: multidimensional sparse arrays for Python
  This package implements sparse multidimensional arrays on top of NumPy
  and scipy.sparse. It generalizes the scipy.sparse.coo_matrix layout but

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sparse-$1\.tar\.gz/ \
https://github.com/pydata/sparse/tags .*/v?(\d\S+)\.tar\.gz

## python-sparse 0.14.0

=== debian/changelog ===
python-sparse (0.14.0-1) unstable; urgency=medium

  [ Bo YU ]
  * Team upload.
  * New upstream release.
    Closes: #988424
  * Rebase d/patches/No-pytest-config.patch.
  * Set std-ver to 4.6.2.
  * Add d/patches/fix-test-fails.patch to fix test failed issue.
  * Fix running testsuite on build. (Closes: #1052388, #1052815)
  * Add d/patches/fix-test-fails-on-i386.patch to fix ftbfs on i386.

  [ Jeroen Ploemen ]
  * Remove unused build-deps on python3-{packaging,pytest-cov,six}.

  [ Andreas Tille ]
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2023 09:09:10 +0100

python-sparse (0.13.0-1) UNRELEASED; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Diane Trout ]
  * Remove unneeded dpkg-dev build dependency
  * Remove skip-doc-test-on-32bit.patch, applied upstream

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 Aug 2021 02:40:47 -0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,15 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-dask <!nocheck>,
-               python3-numba,
+               python3-numba <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-packaging <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-scipy (>= 0.19) <!nocheck>,
-               python3-setuptools,
-               python3-six <!nocheck>
-Standards-Version: 4.5.1
+               python3-scipy <!nocheck>,
+               python3-setuptools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sparse.git
 Homepage: https://github.com/pydata/sparse
@@ -24,7 +21,8 @@
 
 Package: python3-sparse
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: multidimensional sparse arrays for Python
  This package implements sparse multidimensional arrays on top of NumPy
  and scipy.sparse. It generalizes the scipy.sparse.coo_matrix layout but

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=sparse

%:
	dh $@ --buildsystem=pybuild --test-pytest

# Delay running the tests to avoid failures in test_coo_numba.py on 32 bit archs
override_dh_auto_test:

execute_after_dh_auto_install:
	dh_auto_test

## python-sparse 0.16.0a9

=== debian/changelog ===
python-sparse (0.16.0a9-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Clean sparse/_version.py
  TODO: Segmentation fault on arm64 reported upstream
        https://github.com/pydata/sparse/issues/628
        Moreover Salsa reports test suite issues even for amd64

  [ Roland Mas ]
  * New upstream release, let's see if if fixes the FTBFS on all arches.

 -- Roland Mas <lolando@debian.org>  Wed, 06 Nov 2024 16:14:02 +0100

python-sparse (0.15.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1056504
  * Most patches applied upstream
  * Build-Depends: pybuild-plugin-pyproject
  * Build-Depends: python3-pytest-cov

  [ Nilesh Patra ]
  * Build-Depends: python3-setuptools-scm

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jan 2024 15:35:16 +0100

python-sparse (0.14.0-2) unstable; urgency=medium

  * Remove embedded versioneer in preference of debian versioneer package
    using remove-embedded-versioneer.patch
    The embedded versioneer is also incompatble with Python 3.12  (Closes: #1059630)
  * numba, numpy, and scipy are all hard dependencies of sparse so remove
    the <!nocheck> flag from d/control
  * Update fix-test-fails-on-i386.patch for the loss of numpy.distutils.

 -- Diane Trout <diane@ghic.org>  Mon, 01 Jan 2024 15:46:53 -0800

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-dask <!nocheck>,
-               python3-numba <!nocheck>,
-               python3-numpy <!nocheck>,
+               python3-numba,
+               python3-numpy,
                python3-pytest <!nocheck>,
-               python3-scipy <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.6.2
+               python3-pytest-cov <!nocheck>,
+               python3-scipy,
+               python3-setuptools,
+               python3-versioneer,
+               python3-setuptools-scm
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sparse.git
 Homepage: https://github.com/pydata/sparse

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@ --buildsystem=pybuild --test-pytest
 
+execute_before_dh_auto_configure:
+	touch sparse/tests/__init__.py
+
 # Delay running the tests to avoid failures in test_coo_numba.py on 32 bit archs
 override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
  ; echo "Testing with $py:"
  ; $py -m pytest -v
  ; done
-Depends: python3-all,
+Depends: @,
+         python3-all,
          python3-dask,
-         python3-packaging,
          python3-pytest,
-         python3-sparse

## python-sparse 0.17.0

=== debian/changelog ===
python-sparse (0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Test harness needs conftest.py and pytest.ini to be copied to test
    directory.
  * Update Standards-Version to 4.7.2, no changes needed
  * Temporarily Add X-Python3-Version: >= 3.13, << 3.14 because
    python-sparse needs an Python 3.14 compatible Numba before it can
    work.  See #1123313 for more information.
  * Add architecture-is-64-bit to match where numba can be built.

 -- Diane Trout <diane@ghic.org>  Tue, 13 Jan 2026 20:34:58 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: architecture-is-64-bit,
+               debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
@@ -17,11 +18,12 @@
                python3-setuptools,
                python3-versioneer,
                python3-setuptools-scm
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sparse.git
 Homepage: https://github.com/pydata/sparse
 Rules-Requires-Root: no
+X-Python3-Version: >= 3.13, << 3.14
 
 Package: python3-sparse
 Architecture: all
